Skip to main content
GET
Get comments for an entity

Authorizations

X-API-Key
string
header
required

API key for authentication

Query Parameters

entityId
string
required

ID of the entity to get comments for

Example:

"tsk_abc123def456"

entityType
enum<string>
required

Type of entity

Available options:
task,
vendor,
risk,
policy,
finding

Response

200 - application/json

Comments retrieved successfully

id
string
required

Unique identifier for the comment

Example:

"cmt_abc123def456"

content
string
required

Comment content

Example:

"This task needs to be completed by end of week"

author
object
required

Comment author information

attachments
object[]
required

Attachment metadata (URLs generated on-demand)

createdAt
string<date-time>
required

Comment creation timestamp

Example:

"2024-01-15T10:30:00Z"